]> arthur.barton.de Git - bup.git/commitdiff
Fix completely broken invocations of t/root-status.
authorRob Browning <rlb@defaultvalue.org>
Fri, 7 Jun 2013 05:22:58 +0000 (00:22 -0500)
committerRob Browning <rlb@defaultvalue.org>
Fri, 7 Jun 2013 05:23:04 +0000 (00:23 -0500)
No idea what I was thinking.

Thanks to Sascha Silbe <sascha-ml-reply-to-2013-2@silbe.org> for the
report.

Signed-off-by: Rob Browning <rlb@defaultvalue.org>
t/test-index-check-device.sh
t/test-meta.sh

index 2484fd0bd1495db8f7dc2acd51cccbc8dae9e8c0..0ffc3b878ed997e4a5ac34a2a055d704f29c1e81 100755 (executable)
@@ -4,7 +4,7 @@
 
 set -ex -o pipefail
 
-if t/root-status != root; then
+if [ $(t/root-status) != root ]; then
     echo 'Not root: skipping --check-device tests.'
     exit 0 # FIXME: add WVSKIP.
 fi
index 964a50fd0a54bd60900f144793707e868b94c642..076f61941842c83c43233efcaf71b1e0233057a1 100755 (executable)
@@ -82,7 +82,7 @@ test-src-save-restore()
 
 universal-cleanup()
 {
-    if t/root-status != root; then return 0; fi
+    if [ $(t/root-status) != root ]; then return 0; fi
     cd "$TOP"
     umount "$TOP/bupmeta.tmp/testfs" || true
     umount "$TOP/bupmeta.tmp/testfs-limited" || true
@@ -374,7 +374,7 @@ WVSTART 'meta --edit'
 
 # Test ownership restoration (when not root or fakeroot).
 (
-    if t/root-status != none; then
+    if [ $(t/root-status) != none ]; then
         exit 0
     fi
 
@@ -440,7 +440,7 @@ WVSTART 'meta --edit'
 
 # Test ownership restoration (when root or fakeroot).
 (
-    if t/root-status == none; then
+    if [ $(t/root-status) == none ]; then
         exit 0
     fi
 
@@ -529,7 +529,7 @@ WVSTART 'meta --edit'
 
 # Root-only tests that require an FS with all the trimmings: ACLs,
 # Linux attr, Linux xattr, etc.
-if t/root-status == root; then
+if [ $(t/root-status) == root ]; then
     (
         set -e
         # Some cleanup handled in universal-cleanup() above.